ELParserTokenManager (Tomcat API Documentation)
Keywords: org.apache.el.parser.ELParserTokenManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.parser
Class ELParserTokenManager

    java.lang.Object
      org.apache.el.parser.ELParserTokenManager

All Implemented Interfaces:
  ELParserConstants

    public class ELParserTokenManager

extends java.lang.Object
implements ELParserConstants

Token Manager.

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream` Debug output.
`protected SimpleCharStream` | `input_stream`
`static int[]` | `jjnewLexState` Lex State array.
`static java.lang.String[]` | `jjstrLiteralImages` Token literal values.
`static java.lang.String[]` | `lexStateNames` Lexer state names.

Fields inherited from interface org.apache.el.parser.ELParserConstants
`AND0, AND1, BADLY_ESCAPED_STRING_LITERAL, COLON, COMMA, DEFAULT, DIGIT, DIV0, DIV1, DOT, EMPTY, END_EXPRESSION, EOF, EQ0, EQ1, EXPONENT, FALSE, FLOATING_POINT_LITERAL, FUNCTIONSUFFIX, GE0, GE1, GT0, GT1, IDENTIFIER, ILLEGAL_CHARACTER, IMPL_OBJ_START, IN_EXPRESSION, INSTANCEOF, INTEGER_LITERAL, LBRACK, LE0, LE1, LETTER, LITERAL_EXPRESSION, LPAREN, LT0, LT1, MINUS, MOD0, MOD1, MULT, NE0, NE1, NOT0, NOT1, NULL, OR0, OR1, PLUS, QUESTIONMARK, RBRACK, RPAREN, START_DEFERRED_EXPRESSION, START_DYNAMIC_EXPRESSION, STRING_LITERAL, tokenImage, TRUE`

Constructor Summary
`ELParserTokenManager(SimpleCharStream stream)` Constructor.
`ELParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

Method Summary
`Token` | `getNextToken()` Get the next Token.
`protected Token` | `jjFillToken()`
`void` | `ReInit(SimpleCharStream stream)` Reinitialise parser.
`void` | `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
`void` | `setDebugStream(java.io.PrintStream ds)` Set debug output.
`void` | `SwitchTo(int lexState)` Switch to specified lex state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

  Debug output.

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

  Token literal values.

### lexStateNames

    public static final java.lang.String[] lexStateNames

  Lexer state names.

### jjnewLexState

    public static final int[] jjnewLexState

  Lex State array.

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### ELParserTokenManager

    public ELParserTokenManager(SimpleCharStream stream)

  Constructor.

### ELParserTokenManager

    public ELParserTokenManager(SimpleCharStream stream,
                                int lexState)

  Constructor.

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

  Set debug output.

### ReInit

    public void ReInit(SimpleCharStream stream)

  Reinitialise parser.

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

  Reinitialise parser.

### SwitchTo

    public void SwitchTo(int lexState)

  Switch to specified lex state.

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

  Get the next Token.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.